Debian Edu Project
Summary
Standalone
pacchetti per postazione Debian Edu autonoma

Un metapacchetto contenente le dipendenze sui pacchetti necessari per tutte le installazioni di Debian Edu Blend su piccole postazioni autonome.

Description

For a better overview of the project's availability as a Debian package, each head row has a color code according to this scheme:

If you discover a project which looks like a good candidate for Debian Edu to you, or if you have prepared an unofficial Debian package, please do not hesitate to send a description of that project to the Debian Edu mailing list

Links to other tasks

Debian Edu Standalone packages

Official Debian packages with high relevance

cups
Common UNIX Printing System™ - gestione PPD/driver, interfaccia web
Versions of package cups
ReleaseVersionArchitectures
jessie1.7.5-11+deb8u2amd64,armel,armhf,i386
sid2.4.7-3amd64,arm64,armel,armhf,i386,mips64el,ppc64el,riscv64,s390x
trixie2.4.7-1.2amd64,arm64,armel,armhf,i386,mips64el,ppc64el,s390x
bookworm2.4.2-3+deb12u5amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
bullseye2.3.3op2-3+deb11u6amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
bullseye-security2.3.3op2-3+deb11u2amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
buster-security2.2.10-6+deb10u10amd64,arm64,armhf,i386
buster2.2.10-6+deb10u6amd64,arm64,armhf,i386
stretch-security2.2.1-8+deb9u8amd64,arm64,armel,armhf,i386
stretch2.2.1-8+deb9u6amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
jessie-security1.7.5-11+deb8u8amd64,armel,armhf,i386
upstream2.4.10
Debtags of package cups:
hardwareprinter
interfaceweb
networkserver
roleprogram
useprinting
Popcon: 22899 users (20247 upd.)*
Newer upstream!
License: DFSG free
Git

Il Common UNIX Printing System (o CUPS™) è un gestore delle stampe e un sostituto generale per lpd e similari. Gestisce l'IPP (Internet Printing Protocol), ed ha un meccanismo di filtraggio proprio per gestire documenti di vario tipo.

Questo pacchetto fornisce le parti di CUPS che sono necessarie per usare i driver di stampa.

The package is enhanced by the following packages: cups-browsed ippusbxd
cups-bsd
Common UNIX Printing System™ - comandi BSD
Versions of package cups-bsd
ReleaseVersionArchitectures
sid2.4.7-3amd64,arm64,armel,armhf,i386,mips64el,ppc64el,riscv64,s390x
jessie1.7.5-11+deb8u2amd64,armel,armhf,i386
jessie-security1.7.5-11+deb8u8amd64,armel,armhf,i386
stretch2.2.1-8+deb9u6amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
stretch-security2.2.1-8+deb9u8amd64,arm64,armel,armhf,i386
buster2.2.10-6+deb10u6amd64,arm64,armhf,i386
buster-security2.2.10-6+deb10u10amd64,arm64,armhf,i386
bullseye-security2.3.3op2-3+deb11u2amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
bullseye2.3.3op2-3+deb11u6amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
bookworm2.4.2-3+deb12u5amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
trixie2.4.7-1.2amd64,arm64,armel,armhf,i386,mips64el,ppc64el,s390x
upstream2.4.10
Debtags of package cups-bsd:
hardwareprinter
interfacecommandline
networkserver
roleprogram
suitebsd
useprinting
works-with-formatpdf
Popcon: 7715 users (6824 upd.)*
Newer upstream!
License: DFSG free
Git

Il Common UNIX Printing System (o CUPS™) è un gestore delle stampe ed un sostituto generale per lpr, lpd e similari. Supporta l'Internet Printing Protocol (IPP), ed ha un meccanismo di filtraggio proprio per gestire documenti di vario tipo.

Questo pacchetto fornisce i comandi BSD per interagire con CUPS. Viene distribuito separatamente per permettere a CUPS di coesistere con altri sistemi di stampa (in misura limitata).

cups-pdf
backend per scrittura di PDF per CUPS (pacchetto fittizio di transizione)
Versions of package cups-pdf
ReleaseVersionArchitectures
jessie2.6.1-15amd64,armel,armhf,i386
stretch2.6.1-22amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
Debtags of package cups-pdf:
roleapp-data
useconverting, printing
works-withtext
works-with-formatpdf
Popcon: 8 users (1 upd.)*
Versions and Archs
License: DFSG free

Questo pacchetto fittizio viene fornito come supporto nella transizione da cups-pdf a printer-driver-cups-pdf e dovrebbe successivamente essere rimosso.

education-common
pacchetti di base comuni di Debian Edu
Versions of package education-common
ReleaseVersionArchitectures
stretch1.924amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
bookworm2.12.15amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
sid2.12.15amd64,arm64,armel,armhf,i386,mips64el,ppc64el,riscv64,s390x
buster2.10.47amd64,arm64,armhf,i386
trixie2.12.15amd64,arm64,armel,armhf,i386,mips64el,ppc64el,s390x
bullseye2.11.37amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
jessie1.812+deb8u1amd64,armel,armhf,i386
Debtags of package education-common:
rolemetapackage
Popcon: 0 users (0 upd.)*
Versions and Archs
License: DFSG free
Git

Un meta-pacchetto contenente le dipendenze per i pacchetti richiesti per tutte le installazioni della distribuzione personalizzata Debian Edu.

education-desktop-other
applicazioni Debian Edu comuni per il desktop
Versions of package education-desktop-other
ReleaseVersionArchitectures
bookworm2.12.15amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
trixie2.12.15amd64,arm64,armel,armhf,i386,mips64el,ppc64el,s390x
jessie1.812+deb8u1amd64,armel,armhf,i386
buster2.10.47amd64,arm64,armhf,i386
bullseye2.11.37amd64,arm64,armel,armhf,i386,mips64el,mipsel,ppc64el,s390x
sid2.12.15amd64,arm64,armel,armhf,i386,mips64el,ppc64el,riscv64,s390x
stretch1.924amd64,arm64,armel,armhf,i386,mips,mips64el,mipsel,ppc64el,s390x
Popcon: 0 users (0 upd.)*
Versions and Archs
License: DFSG free
Git

Questo metapacchetto dipende da varie applicazioni per l'ufficio e il desktop che sono utili agli insegnanti e ai loro studenti.

foomatic-db-compressed-ppds
gestione delle stampanti per OpenPrinting - PPD compressi derivati dal database
Versions of package foomatic-db-compressed-ppds
ReleaseVersionArchitectures
sid20230202-1all
bullseye20200820-1all
bookworm20230202-1all
trixie20230202-1all
stretch20161201-1all
jessie20150411-1all
buster20181217-2all
upstream20240617
Debtags of package foomatic-db-compressed-ppds:
hardwareprinter
roleapp-data
Popcon: 2046 users (478 upd.)*
Newer upstream!
License: DFSG free
Git

Foomatic è un sistema di stampa creato per facilitare l'impostazione delle comuni stampanti per l'utilizzo con Debian (e altri sistemi operativi). Indicando al computer come elaborare i file inviati alla stampante, fornisce il "collante" tra un gestore di code di stampa, come CUPS o lpr, e la propria stampante.

Questo pacchetto contiene, in forma di un piccolo archivio compresso, tutti i file PPD che possono essere generati a partire dal database Foomatic. Questo riduce notevolmente il consumo di spazio su disco rispetto al database XML di Foomatic e, in aggiunta, rende molto più veloce l'elencazione di tutti i PPD disponibili e l'estrazione del PPD necessario rispetto all'utilizzo del database XML di Foomatic.

hp-ppd
file Postscript Printer Definition (PPD) per stampanti HP
Versions of package hp-ppd
ReleaseVersionArchitectures
jessie0.9-0.2all
stretch0.9-0.3all
buster0.9-0.3all
bullseye0.9+nmu1all
bookworm0.9+nmu1all
trixie0.9+nmu2all
sid0.9+nmu2all
Debtags of package hp-ppd:
hardwareprinter
roleapp-data
useprinting
Popcon: 0 users (0 upd.)*
Versions and Archs
License: DFSG free

Poiché PostScript è soltanto un linguaggio di descrizione della pagina, c'è la necessità di mettere a disposizione un meccanismo, per uno spooler di stampa, per personalizzare il lavoro svolto da PostScript all'attuale dispositivo di stampa.

PPD, PostScript Printer Definition, specifica i comandi PostScript specifici della stampante per accedere alle peculiarità specifiche del dispositivo (come la qualità di stampa, il vassoio della carta e la stampa fronte-retro).

hpijs-ppds
HP Linux Printing and Imaging - File PPD di HPIJS
Versions of package hpijs-ppds
ReleaseVersionArchitectures
buster-backports3.20.9+dfsg0-4~bpo10+1all
buster3.18.12+dfsg0-2all
bullseye3.21.2+dfsg1-2all
jessie3.14.6-1+deb8u1all
bookworm3.22.10+dfsg0-2all
stretch3.16.11+repack0-3all
trixie3.22.10+dfsg0-5all
sid3.22.10+dfsg0-5all
stretch-backports3.18.12+dfsg0-2~bpo9+1all
upstream3.24.4
Debtags of package hpijs-ppds:
hardwareprinter
roledata
usedriver
Popcon: 205 users (64 upd.)*
Newer upstream!
License: DFSG free
Git

Questo pacchetto contiene i file PPD (definizione di stampante) per le stampanti supportate attraverso il driver "HP Linux Printing and Imaging System" HPIJS.

Questi PPD dovrebbero funzionare bene con la versione corrispondente di HPLIP e HPIJS, ma potrebbero non essere i PPD più aggiornati per una data stampante. Consultare http://www.openprinting.org/ per l'ultima versione dei PPD (non è garantito il funzionamento corretto).

hplip-gui
HP Linux Printing and Imaging - utilità GUI (basate su Qt)
Versions of package hplip-gui
ReleaseVersionArchitectures
bookworm3.22.10+dfsg0-2all
jessie3.14.6-1+deb8u1all
stretch3.16.11+repack0-3all
stretch-backports3.18.12+dfsg0-2~bpo9+1all
buster3.18.12+dfsg0-2all
buster-backports3.20.9+dfsg0-4~bpo10+1all
bullseye3.21.2+dfsg1-2all
trixie3.22.10+dfsg0-5all
sid3.22.10+dfsg0-5all
upstream3.24.4
Debtags of package hplip-gui:
hardwareprinter
roleprogram
scopeutility
Popcon: 1934 users (89 upd.)*
Newer upstream!
License: DFSG free
Git

Il sistema HP Linux Printing and Imaging offre pieno supporto per la stampa sulla maggior parte delle stampanti HP SFP (single function peripheral) a getto di inchiostro e molte LaserJet, per la scansione, l'invio dei fax e l'accesso alle schede di memoria sulla maggior parte dei dispositivi MFP (multi-function peripheral) multifunzione di HP.

Questo pacchetto contiene delle utilità per HPLIP con interfaccia grafica: HP Toolbox, HP Fax, ...

Si noti che tutte le utilità con interfaccia utente grafica sono basate sull'ambiente grafico Qt. Attualmente non ci sono utilità equivalenti basate su GTK+.

isenkram
suggerisce pacchetti da installare quando viene inserito nuovo hardware (GUI popup)
Maintainer: Petter Reinholdtsen
Versions of package isenkram
ReleaseVersionArchitectures
sid0.58all
trixie0.58all
bookworm0.51all
bullseye0.48all
buster0.41all
stretch0.33all
jessie0.18+deb8u1all
Popcon: 306 users (18 upd.)*
Versions and Archs
License: DFSG free
Git

Cerca di capire quali pacchetti suggerire per l'uso con un dispositivo hardware appena inserito.

*Popularitycontest results: number of people who use this package regularly (number of people who upgraded this package recently) out of 237110